'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = registerAllCommands;

var _help = require('./help');

var _help2 = _interopRequireDefault(_help);

var _alias = require('./alias');

var _alias2 = _interopRequireDefault(_alias);

var _binary = require('./binary');

var _binary2 = _interopRequireDefault(_binary);

var _cloud = require('./cloud');

var _cloud2 = _interopRequireDefault(_cloud);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

var _doctor = require('./doctor');

var _doctor2 = _interopRequireDefault(_doctor);

var _flash = require('./flash');

var _flash2 = _interopRequireDefault(_flash);

var _function = require('./function');

var _function2 = _interopRequireDefault(_function);

var _keys = require('./keys');

var _keys2 = _interopRequireDefault(_keys);

var _library = require('./library');

var _library2 = _interopRequireDefault(_library);

var _preprocess = require('./preprocess');

var _preprocess2 = _interopRequireDefault(_preprocess);

var _project = require('./project');

var _project2 = _interopRequireDefault(_project);

var _publish = require('./publish');

var _publish2 = _interopRequireDefault(_publish);

var _serial = require('./serial');

var _serial2 = _interopRequireDefault(_serial);

var _setup = require('./setup');

var _setup2 = _interopRequireDefault(_setup);

var _subscribe = require('./subscribe');

var _subscribe2 = _interopRequireDefault(_subscribe);

var _token = require('./token');

var _token2 = _interopRequireDefault(_token);

var _udp = require('./udp');

var _udp2 = _interopRequireDefault(_udp);

var _updateCli = require('./update-cli');

var _updateCli2 = _interopRequireDefault(_updateCli);

var _update = require('./update');

var _update2 = _interopRequireDefault(_update);

var _variable = require('./variable');

var _variable2 = _interopRequireDefault(_variable);

var _version = require('./version');

var _version2 = _interopRequireDefault(_version);

var _webhook = require('./webhook');

var _webhook2 = _interopRequireDefault(_webhook);

var _whoami = require('./whoami');

var _whoami2 = _interopRequireDefault(_whoami);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * The default function export from this module registers all the available commands.
 * Each command is contained in it's own module, for..er...modularity.
 *
 * The command modules take an object as the argument with these properties:
 *  commandProcessor: the command processor service that provides factories for creating
 *      new commands and command categories and for invoking commands.
 *  root: the root command which is used to register top-level commands.
 *  app: the executing CLI instance. This can be used to modify the command line and re-execute
 *   the new command line by calling `app.runCommand(cmdarray)`.
 *
 * @param {object} context  The context for configuring the command.
 */
function registerAllCommands(context) {
	// help must come first
	(0, _help2.default)(context);

	(0, _binary2.default)(context);
	(0, _cloud2.default)(context);
	(0, _config2.default)(context);
	(0, _doctor2.default)(context);
	(0, _flash2.default)(context);
	(0, _function2.default)(context);
	(0, _keys2.default)(context);
	(0, _library2.default)(context);
	(0, _preprocess2.default)(context);
	(0, _project2.default)(context);
	(0, _publish2.default)(context);
	(0, _serial2.default)(context);
	(0, _setup2.default)(context);
	(0, _subscribe2.default)(context);
	(0, _token2.default)(context);
	(0, _udp2.default)(context);
	(0, _updateCli2.default)(context);
	(0, _update2.default)(context);
	(0, _variable2.default)(context);
	(0, _version2.default)(context);
	(0, _webhook2.default)(context);
	(0, _whoami2.default)(context);
	(0, _alias2.default)(context);
}
module.exports = exports['default'];