'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

exports.command = command;

var _cmd = require('../cmd');

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _log = require('../lib/log');

var _log2 = _interopRequireDefault(_log);

var _ui = require('../app/ui');

var _apiclient = require('./apiclient');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class CLILibraryAddCommandSite extends _cmd.LibraryAddCommandSite {
	constructor(argv, apiClient) {
		super();
		this._apiClient = apiClient;

		var _argv$params$name$spl = argv.params.name.split('@');

		var _argv$params$name$spl2 = _slicedToArray(_argv$params$name$spl, 2);

		this.name = _argv$params$name$spl2[0];
		var _argv$params$name$spl3 = _argv$params$name$spl2[1];
		this.version = _argv$params$name$spl3 === undefined ? 'latest' : _argv$params$name$spl3;

		this.dir = argv.params.dir || process.cwd();
	}

	apiClient() {
		return this._apiClient;
	}

	libraryIdent() {
		// todo - shouldn't this be a promise?
		return {
			name: this.name,
			version: this.version
		};
	}

	projectDir() {
		return this.dir;
	}

	fetchingLibrary(promise, name) {
		return (0, _ui.spin)(promise, `Adding library ${_chalk2.default.blue(name)}`);
	}

	addedLibrary(name, version) {
		return Promise.resolve().then(() => {
			_log2.default.success(`Library ${_chalk2.default.blue(name)} ${version} has been added to the project.`);
			_log2.default.success(`To get started using this library, run ${_chalk2.default.bold('particle library view ' + name)} to view the library documentation and sources.`);
		});
	}
}

function command(apiJS, argv) {
	const site = new CLILibraryAddCommandSite(argv, (0, _apiclient.buildAPIClient)(apiJS));
	const cmd = new _cmd.LibraryAddCommand();
	return site.run(cmd);
}