'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.CLILibraryDeleteCommandSite = undefined;
exports.command = command;

var _cmd = require('../cmd');

var _ui = require('../app/ui');

var _log = require('../lib/log');

var _log2 = _interopRequireDefault(_log);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _apiclient = require('./apiclient');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class CLILibraryDeleteCommandSite extends _cmd.LibraryDeleteCommandSite {

	constructor(argv, apiClient) {
		super();
		this._apiClient = apiClient;
		this.argv = argv;
	}

	libraryIdent() {
		return this.argv.params.name;
	}

	apiClient() {
		return this._apiClient;
	}

	notifyStart(promise, lib) {
		return (0, _ui.spin)(promise, `Deleting library ${_chalk2.default.green(lib)}...`);
	}

	notifyComplete(promise, library, error) {
		if (error) {
			// this leads to the message being printed twice
			//		log.error(error);
		} else {
			_log2.default.success(`Library ${_chalk2.default.green(library)} deleted.`);
		}
	}
}

exports.CLILibraryDeleteCommandSite = CLILibraryDeleteCommandSite;
function command(apiJS, argv) {
	const site = new CLILibraryDeleteCommandSite(argv, (0, _apiclient.buildAPIClient)(apiJS));
	const cmd = new _cmd.LibraryDeleteCommand();
	return site.run(cmd);
}