'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.CLILibrarySearchCommandSite = undefined;
exports.command = command;

var _cmd = require('../cmd');

var _ui = require('../app/ui');

var _log = require('../lib/log');

var _log2 = _interopRequireDefault(_log);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _apiclient = require('./apiclient');

var _library_ui = require('./library_ui.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class CLILibrarySearchCommandSite extends _cmd.LibrarySearchCommandSite {

	constructor(argv, apiClient) {
		super();
		this._apiClient = apiClient;
		this.argv = argv;
	}

	searchString() {
		return this.argv.params.name;
	}

	apiClient() {
		return this._apiClient;
	}

	notifyListLibrariesStart(promise, filter) {
		return (0, _ui.spin)(promise, `Searching for libraries matching ${_chalk2.default.green(filter)}`);
	}

	notifyListLibrariesComplete(promise, filter, libraries, error) {
		if (error) {
			_log2.default.error(error);
		} else {
			const count = libraries ? libraries.length : 0;
			const library = count === 1 ? 'library' : 'libraries';
			_log2.default.success(`Found ${count} ${library} matching ${_chalk2.default.green(filter)}`);
			for (let idx in libraries) {
				const lib = libraries[idx];
				console.log((0, _library_ui.formatLibrary)(lib));
			}
		}
	}
}

exports.CLILibrarySearchCommandSite = CLILibrarySearchCommandSite;
function command(apiJS, argv) {
	const site = new CLILibrarySearchCommandSite(argv, (0, _apiclient.buildAPIClient)(apiJS));
	const cmd = new _cmd.LibrarySearchCommand();
	return site.run(cmd);
}