'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.formatLibrary = formatLibrary;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function formatLibrary(library) {
	let excludeBadges = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

	let badges = [];

	if (library.official && !excludeBadges.official) {
		badges.push(_chalk2.default.green('[official] '));
	} else {
		if (library.verified && !excludeBadges.verified) {
			badges.push(_chalk2.default.green('[verified] '));
		}
	}

	if (library.visibility === 'private' && !excludeBadges.private) {
		badges.push(_chalk2.default.blue('[private] '));
	} else {
		if (library.mine && !excludeBadges.mine) {
			badges.push(_chalk2.default.blue('[mine] '));
		}
	}

	const badgesText = badges.join('');
	const version = library.version;
	const defaultSentence = '';
	const formatted = _chalk2.default.blue(library.name) + ' ' + version + ' ' + badgesText + _chalk2.default.grey(library.installs || 0) + ' ' + `${library.sentence || defaultSentence}`;
	return formatted;
}