'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.CLILibraryContributeCommandSite = undefined;
exports.command = command;

var _cmd = require('../cmd');

var _api = require('../cmd/api');

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _log = require('../lib/log');

var _log2 = _interopRequireDefault(_log);

var _ui = require('../app/ui');

var _apiclient = require('./apiclient');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class CLILibraryContributeCommandSite extends _cmd.LibraryContributeCommandSite {

	constructor(argv, dir, apiClient) {
		super();
		this.argv = argv;
		this.dir = dir;
		this._apiClient = apiClient;
	}

	libraryDirectory() {
		return this.dir;
	}

	apiClient() {
		return this._apiClient;
	}

	dryRun() {
		return this.argv.dryRun;
	}

	error(error) {
		throw (0, _api.convertApiError)(error);
	}

	validatingLibrary(promise, directory) {
		return (0, _ui.spin)(promise, `Validating library at ${_chalk2.default.bold(directory)}`);
	}

	contributingLibrary(promise, library) {
		return (0, _ui.spin)(promise, `Uploading library ${_chalk2.default.green(library.name)}`);
	}

	contributeComplete(library) {
		return _log2.default.success(`Library ${_chalk2.default.green(library.name)} was successfully uploaded.\n` + `Add it to your project with ${_chalk2.default.bold('particle library add ' + library.name)}`);
	}
}

exports.CLILibraryContributeCommandSite = CLILibraryContributeCommandSite;
function command(apiJS, argv) {
	const site = new CLILibraryContributeCommandSite(argv, process.cwd(), (0, _apiclient.buildAPIClient)(apiJS));
	const cmd = new _cmd.LibraryContributeCommand();
	return site.run(cmd);
}