'use strict';

const when = require('when');
const dgram = require('dgram');

class UdpCommands {
	sendUdpPacket(_ref) {
		let host = _ref.host,
		    port = _ref.port,
		    message = _ref.message;

		const client = dgram.createSocket('udp4');
		const buf = new Buffer(message);

		console.log('Sending "' + message + '" to', host, 'at port', port);
		return when.promise((resolve, reject) => {
			client.send(buf, 0, buf.length, port, host, err => {
				if (err) {
					console.log('error during send ' + err);
					reject();
				} else {
					console.log('Sent.');
					resolve();
				}
				client.close();
			});
		});
	}

	listenUdp(_ref2) {
		let port = _ref2.port;

		port = port || 5549;

		const udpSocket = dgram.createSocket('udp4');

		udpSocket.on('listening', () => {
			console.log('Listening for UDP packets on port ' + port + ' ...');
		});

		udpSocket.on('message', (msg, rinfo) => {
			console.log('[' + rinfo.address + '] ' + msg.toString());
		});

		udpSocket.bind(port);
	}
}

module.exports = UdpCommands;